﻿BasicLayoutClass = function() {
	return {
		init : function() {
			Ext.QuickTips.init();

			this.viewport = new Ext.Viewport( {
				layout : 'border',
				items : [
					{
						region : 'west',
						title : 'WEST',
						collapsible : true,
						collapsed:false,
						width : 650,
						split : true,
						margins:'5 0 5 5',
						cmargins : '5 5 5 5',
						layout:'border',
						items:[
							this.WestPanel= new LeftArea(this,{
								region : 'center',
								layout : 'fit',
								border:false,
								tbar:[
									{
										text:'새로고침',
										scope:this,
										handler:function(){
											this.WestPanel.store.reload();
										}
									}
								]
							})
						]
					},
					this.CenterPanel = new Ext.Panel({
						region : 'center',
						title : 'CENTER',
						layout : 'fit',
						margins:'5 5 5 0',
						html : '<div id="_CONTENTS_AREA_">컨텐츠 영역입니다.</div>'
					})
				]
			});
			this.viewport.doLayout();
			this.viewport.syncSize();
			this.WestPanel.loadGridDataSet();
		}
	}
}();
Ext.EventManager.onDocumentReady(BasicLayoutClass.init, BasicLayoutClass, true);